package com.unis.indicator.common.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @ClassName BaseVO
 * @Description 基础VO
 * @Author xmpu
 * @Date 2019/7/22 17:07
 * @Version 0.0.3
 **/
@Getter
@Setter
public abstract class BaseVO {

    @ApiModelProperty(value = "id，自动生成")
    private String id;
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    @ApiModelProperty(value = "创建人")
    private String createBy;
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
    @ApiModelProperty(value = "更新人")
    private String updateBy;
    @ApiModelProperty(value = "删除时间")
    private Date deleteTime;
    @ApiModelProperty(value = "删除人")
    private String deleteBy;
    @ApiModelProperty(value = "机构id")
    private String orgId;
    @ApiModelProperty(value = "部门id")
    private String deptId;
    @ApiModelProperty(value = "行政区划")
    private String areaCode;
    @ApiModelProperty(value = "行政区划name")
    private String areaName;
    @ApiModelProperty(value = "组织机构name")
    private String orgName;
    @ApiModelProperty(value = "部门name")
    private String deptName;
    @ApiModelProperty(value = "操作人(后台专用属性)")
    private String operator;
}
