package com.unis.indicator.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @ClassName IndicatorPriceVO
 * @Description 价格类型与指标VO
 * @Author xmpu
 * @Date 2019/7/24 14:07
 * @Version 0.0.3
 **/
@Getter
@Setter
@ApiModel(value = "价格类型与指标关联Model")
public class IndicatorPriceVO {

	@ApiModelProperty(value = "选择的指标的id")
	private String indicatorId;

	@ApiModelProperty(value = "选择的指标的NAME")
	private String indicatorName;

	@ApiModelProperty(value = "选择的价格类型的集合, 需要传选择的价格类型的id,价格类型名称/环比伐值等价格数值")
	private List<PriceTypeVO> priceTypeVO;
}
