package com.unis.indicator.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @ClassName IndicatorMonitorVO
 * @Description 指标标准与指标VO
 * @Author xmpu
 * @Date 2019/7/24 14:07
 * @Version 0.0.3
 **/
@Getter
@Setter
@ApiModel(value = "指标标准与指标关联Model")
public class IndicatorStandardVO {

	@ApiModelProperty(value = "选择的指标的id")
	private String indicatorId;

	@ApiModelProperty(value = "选择的指标的Name")
	private String indicatorName;

	@ApiModelProperty(value = "选择的指标标准的id集合")
	private List<String> standardIds;

	@ApiModelProperty(value = "选择的指标标准集合")
	private List<StandardVO> standardVOList;
}
