package com.unis.indicator.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

@ApiModel(description = "LastTbjlInfoVO，填报记录相关信息")
@Getter
@Setter
public class LastReportRecordInfoVO extends BaseVO{

    /**
     *报表类型
     */
    @ApiModelProperty(value = "报表类型")
    private String bblxmc;

    /**
     *报表期类型
     */
    @ApiModelProperty(value="报表期类型")
    private String bbxlx;

    /**
     *报表类型表主键ID
     */
    @ApiModelProperty(value="报表类型表主键ID")
    private String bblxId;

    /**
     *上报地区
     */
    @ApiModelProperty(value="上报地区")
    private String sbdq;

    /**
     *行政区划编码
     */
    @ApiModelProperty(value="行政区划编码")
    private String xzqhbm;

    /**
     *上报监测点
     */
    @ApiModelProperty(value="上报监测点")
    private String jcd;

    /**
     *上报开始时间
     */
    @ApiModelProperty(value="上报开始时间")
    private Date sbkssj;

    /**
     *上报结束时间
     */
    @ApiModelProperty(value="上报结束时间")
    private Date sbjssj;

    /**
     *流程ID
     */
    @ApiModelProperty(value="流程ID 天津流程 1:暂存 2：已上报")
    private String lcid;

    private List<LastPriceInfoVO> lastPriceInfoVOList;

}
