package com.unis.indicator.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

@ApiModel(description = "QgjgzsTbjlInfoVO，全国价格指数填报记录相关信息")
@Getter
@Setter
public class NationIndexReportInfoVO  extends BaseVO {

    /**
     *报表主键ID
     */
    private String id;

    /**
     *报表类型表主键id
     */
    @ApiModelProperty(value = "报表类型表主键id")
    private String bblxId;

    /**
     *报表类型
     */
    @ApiModelProperty(value = "报表类型")
    private String bblx;

    /**
     *报表期类型
     */
    @ApiModelProperty(value="报表期类型")
    private String bbxlx;

    /**
     *上报地区
     */
    @ApiModelProperty(value="上报地区")
    private String sbdq;

    /**
     *行政区划编码
     */
    @ApiModelProperty(value="行政区划编码")
    private String xzqhbm;

    /**
     *上报监测点
     */
    @ApiModelProperty(value="上报监测点")
    private String jcd;

    /**
     *上报开始时间
     */
    @ApiModelProperty(value="上报开始时间")
    private String sbkssj;

    /**
     *上报结束时间
     */
    @ApiModelProperty(value="上报结束时间")
    private String sbjssj;

    /**
     *流程ID
     */
    @ApiModelProperty(value="流程ID")
    private String lcid;

    @ApiModelProperty(value="检测点名称")
    private String orgName;

    @ApiModelProperty(value="上报地区名称")
    private String deptName;

    @ApiModelProperty(value="行政区划名称")
    private String areaName;

    @ApiModelProperty(value="修改次数")
    private Integer updateNum;

    @ApiModelProperty(value="驳回次数")
    private Integer rejectNum;

    private List<NationIndexInfoVO> nationIndexInfoVOList;
}
