package com.unis.indicator.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@ApiModel(description = "LyjgmxInfoVO，粮油价格明细")
@Getter
@Setter
public class PriceDedailInfoVO {

    /**
     *粮油价格明细表主键id
     */
    @ApiModelProperty(value = "粮油价格明细表主键id")
    private String id;

    /**
     *价格类型
     */
    @ApiModelProperty(value = "价格类型")
    private String jglx;

    /**
     *上期价格
     */
    @ApiModelProperty(value = "上期价格")
    private Double sqjg;

    /**
     *本期价格
     */
    @ApiModelProperty(value = "本期价格")
    private Double bqjg;

    /**
     *上期数量
     */
    @ApiModelProperty(value = "上期数量")
    private Double sbsl;

    /**
     *本期数量
     */
    @ApiModelProperty(value = "本期数量")
    private Double bqsl;

    /**
     *指数
     */
    @ApiModelProperty(value = "指数")
    private double zs;

    /**
     *环比
     */
    @ApiModelProperty(value = "环比")
    private double hb;

    /**
     *同比
     */
    @ApiModelProperty(value = "同比")
    private double tb;

    @ApiModelProperty(value="环比阀值")
    private String momVal;

    /**
     *最低价格
     */
    @ApiModelProperty(value = "最低价格")
    private double zdjg;

    /**
     *最高价格
     */
    @ApiModelProperty(value = "最高价格")
    private double zgjg;

}
