package com.unis.indicator.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 *功能描述 价格统计表
 * @author wangqiang
 * @date 2019/8/27 0027
 * @param
 * @return
 */
@Getter
@Setter
@ApiModel(description = "价格统计表")
public  class PriceIndexChartVO {

    @ApiModelProperty(value = "价格类型")
    private String priceType;
    @ApiModelProperty(value = "品种类型")
    private String type;
    @ApiModelProperty(value = "价格")
    private Double price;
    @ApiModelProperty(value = "统计日期")
    private String date;

    private Map<String,Object> typeMap;
    private List<Map<String,Object>> jgMap;

    private List<Map<String,Object>> resultMap;
    //private Map<String,List<Map<String,Object>>> resultMap;
}
