package com.unis.indicator.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.Date;
import java.util.List;

/**
 *功能描述 价格指数统计表 查询对象
 * @author wangqiang
 * @date 2019/8/27 0027
 * @param
 * @return
 */
@Getter
@Setter
@ToString
@ApiModel(description = "价格指数统计表,查询对象")
public class PriceIndexQueryVO {

    @ApiModelProperty(value = "统计开始日期")
    private Date startDate;
    @ApiModelProperty(value = "统计结束日期")
    private Date endDate;
    @ApiModelProperty(value = "价格类型")
    private String priceType;
    @ApiModelProperty(value = "统计品种--可多项")
    private List<String> varieties;
    @ApiModelProperty(value = "原综合")
    private String yzh;
    @ApiModelProperty(value = "08综合")
    private String lbzh;

    @ApiModelProperty(value = "前端校验字段")
    private List<String> runData;

}
