package com.unis.indicator.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@ApiModel(value = "收购季度周报实体类")
public class QuarterlyReportVO extends BaseVO {

    @ApiModelProperty(value = "报表类型id")
    private String bblxId;

    /**
     *上报开始时间
     */
    @ApiModelProperty(value="上报开始时间")
    private String sbkssj;

    /**
     *上报结束时间
     */
    @ApiModelProperty(value="上报结束时间")
    private String sbjssj;

    @ApiModelProperty(value="1:暂存 2：提交")
    private String lcid;

    @ApiModelProperty(value = "玉米累计收购量")
    private Integer ymNum;

    @ApiModelProperty(value = "玉米最高价")
    private Double ymMaxPrice;

    @ApiModelProperty(value = "玉米最低价")
    private Double ymMinPrice;

    private QuarterlyPriceVO quarterlyPriceVO;

}
