package com.unis.indicator.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@ApiModel(description = "TbjllcVo，填报记录流程相关信息")
@Getter
@Setter
public class ReportRecordStatusVo {

    /**
     *流程ID
     */
    @ApiModelProperty(value="报表主键ids “,”分割")
    private String ids;

    /**
     *流程ID
     */
    @ApiModelProperty(value="流程ID 天津流程 1:暂存 2：已上报 内蒙古流程 1:提交 2:发布 3:驳回")
    private String lcid;

    @ApiModelProperty(value="是否判断组织机构")
    private String isJudge;

    //当前登录人组织机构(1:自治区 2:盟市 3:监测点)
    private Integer orgType;
}
