package com.unis.indicator.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;
import java.util.Map;

@ApiModel(description = "ReportTypeIndicatorVO，报表类型对应指标")
@Getter
@Setter
public class ReportTypeIndicatorVO {

    @ApiModelProperty(value="序号")
    private Integer xh;

    @ApiModelProperty(value="指标类型")
    private String pzlb;

    @ApiModelProperty(value="指标类型编码")
    private String zblbbm;

    @ApiModelProperty(value="指标名称")
    private String pzmc;

    @ApiModelProperty(value="指标编码")
    private String zbbm;

    @ApiModelProperty(value="计量标准")
    private String jlbz;

    @ApiModelProperty(value="计量标准编码")
    private String jlbzbm;

    @ApiModelProperty(value="计量单位")
    private String jldw;

    @ApiModelProperty(value="计量单位编码")
    private String jldwbm;

    @ApiModelProperty(value="产地")
    private String cd;

    @ApiModelProperty(value="产地行政区编码")
    private String cdxzqhbm;

    @ApiModelProperty(value="品牌")
    private String pp;

    @ApiModelProperty(value="品牌编码")
    private String ppbm;

    @ApiModelProperty(value="等级")
    private String dj;

    @ApiModelProperty(value="等级编码")
    private String djbm;

    @ApiModelProperty(value="规格")
    private String gg;

    @ApiModelProperty(value="规格编码")
    private String ggbm;

    /**
     *价格类型
     */
    @ApiModelProperty(value = "价格类型")
    private String jglx;

    /**
     *上期价格
     */
    @ApiModelProperty(value = "上期价格")
    private Double sqjg;

    /**
     *本期价格
     */
    @ApiModelProperty(value = "本期价格")
    private Double bqjg;

    /**
     *上期数量
     */
    @ApiModelProperty(value = "上期数量")
    private Integer sbsl;

    /**
     *本期数量
     */
    @ApiModelProperty(value = "本期数量")
    private Integer bqsl;

    /**
     *指数
     */
    @ApiModelProperty(value = "指数")
    private Double jgzs;

    /**
     *环比
     */
    @ApiModelProperty(value = "环比")
    private Double hbzzl;

    /**
     *同比
     */
    @ApiModelProperty(value = "同比")
    private Double tbzzl;

    @ApiModelProperty(value = "去年同期价")
    private Double lastYearPrice;

    @ApiModelProperty(value = "基准价")
    private Double standardPrice;

    private Map<String,Object> priceMap;
}
