package com.unis.indicator.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@ApiModel(description = "TjStatisticsInfoOutputVO，天津上报统计详情输出类")
@Getter
@Setter
public class StatisticsInfoOutputVO {
    /**
     *日期
     */
    @ApiModelProperty(value = "日期")
    private String filingDate;

    /**
     *填报方式
     */
    @ApiModelProperty(value = "填报方式")
    private String filingType;

    /**
     *所属监测点
     */
    @ApiModelProperty(value = "所属监测点")
    private String point;

}
