package com.unis.indicator.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @ClassName StatisticsInputVO
 * @Description 上报统计查询类
 * @Author renyu
 * @Date
 * @Version 0.0.1
 **/
@Getter
@Setter
@ApiModel(value = "上报统计查询类")
public class StatisticsInputVO {
    /**
     * 上报开始时间
     */
    @ApiModelProperty(value = "上报开始时间")
    private String startDate;

    /**
     * 上报结束时间
     */
    @ApiModelProperty(value = "上报结束时间")
    private String endDate;

    /**
     * 检测点
     */
    @ApiModelProperty(value = "检测点")
    private String point;

    /**
     * 检测点id
     */
    @ApiModelProperty(value = "检测点id")
    private String pointId;

    /**
     * 上报地区
     */
    @ApiModelProperty(value = "上报地区")
    private String reportArea;

    /**
     * 报表类型
     */
    @ApiModelProperty(value = "价格类型")
    private String priceType;

    /**
     * 填报方式
     */
    @ApiModelProperty(value = "填报方式")
    private String fillingType;

    @ApiModelProperty(value = "起始页")
    private Integer page;

    @ApiModelProperty(value = "每页展示行数")
    private Integer size;
}
