package com.unis.indicator.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@ApiModel(description = "WarningRoleVO，预警规则")
@Getter
@Setter
public class WarningRoleVO extends BaseVO{
    /**
     *上报地区
     */
    @ApiModelProperty(value = "上报地区")
    private String sbdq;

    /**
     *监测点
     */
    @ApiModelProperty(value = "监测点")
    private String jcd;

    /**
     *品种
     */
    @ApiModelProperty(value = "品种")
    private String pz;

    /**
     *等级
     */
    @ApiModelProperty(value = "等级")
    private String dj;

    /**
     *计量单位
     */
    @ApiModelProperty(value = "计量单位")
    private String jldw;

    /**
     *价格明细
     */
    @ApiModelProperty(value = "价格明细")
    private List<WarningMxVO> jgmx;
}
