package com.unis.indicator.common.vo.bbzb;

import com.unis.indicator.common.vo.BaseVO;
import com.unis.indicator.common.vo.IndicatorVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@ApiModel(description = "报表指标")
@Getter
@Setter
public class ReportIndicatorVO extends BaseVO {

    @ApiModelProperty(value = "唯一的id")
    private String id;

    @ApiModelProperty(value = "报表类型ID")
    private String reportTypeId;

    @ApiModelProperty(value = "报表类型Name")
    private String reportTypeName;

    @ApiModelProperty(value = "指标Id")
    private String indicatorId;

    @ApiModelProperty(value = "指标Name")
    private String indicatorName;

    @ApiModelProperty(value = "报表类型对象")
    private ReportTypeVO reportTypeVO;

    @ApiModelProperty(value = "指标对象")
    private IndicatorVO indicatorVO;

    @ApiModelProperty(value = "指标标准ID")
    private String zbbzId;

    @ApiModelProperty(value = "指标标准名称")
    private String zbbzMc;
    
    @ApiModelProperty(value = "展示顺序")
    private Integer pzsx;
    
    @ApiModelProperty(value = "基期价")
    private Double jqj;
}
