package com.unis.indicator.common.vo.bbzb;

import com.unis.indicator.common.vo.PriceTypeVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @ClassName ReportTypePriceVO
 * @Description 价格类型与报表类型vo
 * @Author xmpu
 * @Date 2019/7/24 14:07
 * @Version 0.0.3
 **/
@Getter
@Setter
@ApiModel(value = "价格类型与报表类型关联Model")
public class ReportTypePriceVO {

	@ApiModelProperty(value = "选择的报表类型的id", required = true)
	private String reportTypeId;

	@ApiModelProperty(value = "选择的报表类型的NAME", required = true)
	private String reportTypeName;

	@ApiModelProperty(value = "选择的价格类型的集合, 需要传选择的价格类型的id,价格类型名称即可", required = true)
	private List<PriceTypeVO> priceTypeVO;
}
