package com.unis.indicator.common.vo.report;

import com.unis.indicator.common.vo.PriceDedailInfoVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;
import java.util.Map;

@ApiModel(description = "LyjgInfoVO，粮油价格")
@Getter
@Setter
public class PriceInfoCompareVO {

    /**
     *粮油价格表主键ID
     */
    @ApiModelProperty(value = "粮油价格表主键ID")
    private String id;

    /**
     *报表ID
     */
    @ApiModelProperty(value = "报表ID")
    private String tbjlId;

    /**
     *变动原因（备注）
     */
    @ApiModelProperty(value = "变动原因（备注）")
    private String bdyy;

    /**
     *粮油价格明细ID
     */
    @ApiModelProperty(value = "粮油价格明细ID")
    private String lyjgmxId;

    /**
     *本期价格
     */
    @ApiModelProperty(value = "本期价格")
    private Double bqjg;

    /**
     *本期数量
     */
    @ApiModelProperty(value = "本期数量")
    private Double bqsl;


}
