package com.unis.indicator.server;

import com.unis.indicator.server.schedule.ReportingOfIndexPriceTask;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;

import tk.mybatis.spring.annotation.MapperScan;

//@SpringBootApplication(exclude= {DataSourceAutoConfiguration.class})
@SpringBootApplication
@EnableDiscoveryClient
@ComponentScan("com.unis")
@MapperScan("com.unis.indicator.server.dao")
@EnableScheduling
//@org.mybatis.spring.annotation.MapperScan("com.unis.indicator.server.dao")
public class IndicatorServerApplication {

    public static void main(String[] args) {

        SpringApplication.run(IndicatorServerApplication.class, args);
        System.out.println("============启动完成============");
    }
}