package com.unis.indicator.server.config;

import java.io.UnsupportedEncodingException;

import org.apache.commons.lang.StringEscapeUtils;
import org.apache.commons.lang.StringUtils;

/*
 * @author: harry
 * @see:工具类 主要是判断 用于安全过滤
 * @parm: 
 * @date:Sep 3, 2012
 */
public class SecurityUtil {

	/**
	 * @Title: 过滤sql js
	 * @Description:
	 * @Copyright: Copyright 2011
	 * @Company: adks
	 * @Author: harry
	 * @Version:1.0
	 */
	public static String filterStrSqlJs(String str){
		
		String strTemp   = str;
		if(StringUtils.isNotEmpty(str)&&!"createTime".equals(str)&&!"updateTime".equals(str)&&!"createDate".equals(str)){
			
			/*
			String badStr = "and|exec|execute|insert|select|delete|update|count|drop|*|%|chr|mid|master|truncate|" +  
	        "char|declare|sitename|net user|xp_cmdshell|;|or|-|+|'|,|like'|and|exec|execute|insert|create|drop|" +  
	         "table|from|grant|use|group_concat|column_name|" +  
	         "information_schema.columns|table_schema|union|where|select|delete|update|order|by|count|*|" +  
	         "chr|mid|master|truncate|char|declare|or|;|-|--|+|,|like|//|/|%|#|=";//过滤掉的sql关键字，可以手动添加  
			String[] badStrs = badStr.split("\\|");  
			if(null != badStrs && badStrs.length>0){
				for (int i = 0; i < badStrs.length; i++) {  
				        str = str.replace(badStrs[i], ""); 
				        if(i==(badStrs.length-1)){
				        	strTemp  = str;
				        }
				}  
			}
			*/
			strTemp = StringEscapeUtils.escapeSql(strTemp);
			strTemp = StringEscapeUtils.escapeJavaScript(strTemp);
			//System.out.println("before replaceall:"+strTemp);
			strTemp = replaceAll(str);
			//System.out.println("after replaceall:"+strTemp);

		}
		return strTemp;
		
	}
	
	public static String replaceAll(String str){
		String badStr = "and|exec|execute|insert|select|delete|update|count|drop|chr|having|mid|master|truncate|" +  
        "char|declare|sitename|net user|xp_cmdshell|truncate|char|declare|desc|asc|src|onmouseover|onclick|iframe|script|alert|exec|execute|insert|create|drop|" +  
         "table|from|grant|use|group_concat|column_name|" +  
         "information_schema.columns|table_schema|union|where|select|delete|update|order|by|count|*|" +  
         "chr|mid|master|or|;|'|like'|*|%|and|\\|+|,|like|//|/|%|#|\"|=|--| ";//过滤掉的sql关键字，可以手动添加   -|  |%22%|%3D|%27|%3B
		String strTemp =str;
		String[] badStrs = badStr.split("\\|"); 
		if(StringUtils.isNotEmpty(str)){
			//str = str.toLowerCase();
		if(null != badStrs && badStrs.length>0){
			for (int i = 0; i < badStrs.length; i++) {  
			   // if (str.indexOf(badStrs[i]) >= 0) {  
				//System.out.println(badStrs[i]);
//				if(null != badStrs[i] && badStrs[i].equals("onmouseover")){
//					System.out.println("abc");
//					str = str.replace(badStrs[i], "");
//					System.out.println(str);
//				}
			        str = str.replace(badStrs[i], ""); 
			        if(i==(badStrs.length-1)){
			        	strTemp  = str;
			        }
			   //}  
			}  
		}
		}
		//System.out.println(strTemp);
		return strTemp;
	}
	
	/*
	 * 
	 * 工具类 Unicode编码转成中文的方法
	 * 
	 * 
	 */
	public static String decodeUnicode(String theString) {      
	    char aChar;      
	     int len = theString.length();      
	   
	    StringBuffer outBuffer = new StringBuffer(len);      
	   
	    for (int x = 0; x < len;) {      
	   
	     aChar = theString.charAt(x++);      
	   
	     if (aChar == '\\') {      
	   
	      aChar = theString.charAt(x++);      
	   
	      if (aChar == 'u') {      
	   
	       // Read the xxxx      
	   
	       int value = 0;      
	   
	       for (int i = 0; i < 4; i++) {      
	   
	        aChar = theString.charAt(x++);      
	   
	        switch (aChar) {      
	   
	        case '0':      
	   
	        case '1':      
	   
	        case '2':      
	   
	        case '3':      
	   
	        case '4':      
	   
	        case '5':      
	   
	        case '6':      
	        case '7':      
	          case '8':      
	        case '9':      
	           value = (value << 4) + aChar - '0';      
	           break;      
	          case 'a':      
	          case 'b':      
	          case 'c':      
	          case 'd':      
	          case 'e':      
	          case 'f':      
	           value = (value << 4) + 10 + aChar - 'a';      
	          break;      
	          case 'A':      
	          case 'B':      
	          case 'C':      
	          case 'D':      
	          case 'E':      
	          case 'F':      
	           value = (value << 4) + 10 + aChar - 'A';      
	           break;      
	          default:      
	           throw new IllegalArgumentException(      
	             "Malformed   \\uxxxx   encoding.");      
	          }      
	   
	        }      
	         outBuffer.append((char) value);      
	        } else {      
	         if (aChar == 't')      
	          aChar = '\t';      
	         else if (aChar == 'r')      
	          aChar = '\r';      
	   
	         else if (aChar == 'n')      
	   
	          aChar = '\n';      
	   
	         else if (aChar == 'f')      
	   
	          aChar = '\f';      
	   
	         outBuffer.append(aChar);      
	   
	        }      
	   
	       } else     
	   
	       outBuffer.append(aChar);      
	   
	      }      
	   
	      return outBuffer.toString();      
	   
	     }  

}
