package com.unis.indicator.server.dao;


import com.unis.indicator.common.vo.IndicatorReportVO;
import com.unis.indicator.common.vo.PriceDedailInfoVO;
import com.unis.indicator.common.vo.PriceTrendQueryVO;
import com.unis.indicator.common.vo.ReportTypeIndicatorVO;
import com.unis.indicator.common.vo.bbzb.ReportTypeVO;
import com.unis.indicator.server.entity.indicator.BblxDO;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;
import java.util.Map;

@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface BbLxDao extends Mapper<BblxDO> {

    IndicatorReportVO selectBblxTimeById(String bblxid);

    List<IndicatorReportVO> selectIndicatorByBblx(String pointId);

    List<PriceDedailInfoVO> selectPriceTypeByIndicatorId(String id);

    List<PriceDedailInfoVO> selectPriceTypeByIndIdAndJglx(String id,String jglx);

    List<ReportTypeVO> selectReportDateType(String reportDateType);

    List<IndicatorReportVO> selectChartIndicator(String bblxId);

    List<IndicatorReportVO> selectIndicatorByQuery(Map<String,Object> map);

    List<ReportTypeIndicatorVO> selectIndicatorOfBz(PriceTrendQueryVO priceTrendQueryVO);

    String selectMonthByDay(String bblxId);

    List<IndicatorReportVO> selectIndicatorByBblx1(String priceType);
}
