package com.unis.indicator.server.dao;

import com.unis.indicator.common.vo.ContributeArticleVO;
import com.unis.indicator.server.entity.WztgDO;
import org.springframework.stereotype.Repository;
import tk.mybatis.mapper.common.Mapper;
import tk.mybatis.mapper.entity.Example;

import java.util.List;
import java.util.Map;

@org.apache.ibatis.annotations.Mapper
@Repository
public interface WztgDao extends Mapper<WztgDO> {

    /**
     * @description 文章汇总
     * @auth xmpu
     *
     * @param param
     * @return List
     */
    public List<ContributeArticleVO> articleGather(Map param);

    int countByExample(Map<String, Object> example);
}
