package com.unis.indicator.server.entity;

import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;
@Getter
@Setter
@Table(name = "WZTG")
public class WztgDO extends BaseEntity {

    /**
     * 标题
     */
    @Column(name = "BT")
    private String title;

    /**
     * 创建时间
     */
    @Column(name = "CREATE_TIME")
    private Date createTime;

    /**
     * 内容
     */
    @Column(name="NR")
    private String content;

    /**
     * 附件
     */
    @Column(name="FJ")
    private String annex;

    /**
     * 描述
     */
    @Column(name="MS")
    private String description;

    /**
     * 状态
     */
    @Column(name="ZT")
    private String status;

    /**
     * 驳回意见
     */
    @Column(name="BHYJ")
    private String rejectAdvice;


    /**
     * 审核人
     */
    @Column(name="SHR")
    private String auditingBy;

    /**
     * 审核时间
     */
    @Column(name="SHSJ")
    private Date auditingTime;

    /**
     * 行政区划code
     */
    @Column(name="AREA_CODE")
    private String areaCode;

    /**
     * 行政区划name
     */
    @Column(name="AREA_NAME")
    private String areaName;

    /**
     * 组织机构name
     */
    @Column(name="ORG_NAME")
    private String orgName;

    /**
     * 部门name
     */
    @Column(name="DEPT_NAME")
    private String deptName;
}
