package com.unis.indicator.server.entity.indicator;

import com.unis.common.utils.UUIDUtils;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;


@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "BBLX_JGLX")
public class BblxJglxDO {

    @Id
    @Column(name="ID")
    private String id = UUIDUtils.uuid();

    /**
     * 价格类型ID
     */
    @Column(name = "JGLXID")
    private String priceTypeId;

    /**
     * 价格类型name
     */
    @Column(name="JGLXNAME")
    private String priceTypeName;

    /**
     * 报表类型ID
     */
    @Column(name="BBLXID")
    private String reportTypeId;

    /**
     * 报表类型name
     */
    @Column(name="BBLXNAME")
    private String reportTypeName;

}
