package com.unis.indicator.server.entity.indicator;

import com.unis.indicator.server.entity.BaseEntity;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Table;

/**
 * @ClassName JglxDO
 * @Description 价格类型管理实体类
 * @Author xmpu
 * @Date 2019/7/24 14:07
 * @Version 0.0.3
 **/
@Getter
@Setter
@Table(name = "IND_PRICE_TYPE")
public class JglxDO extends BaseEntity {

    /**
     * 价格类型名称
     */
    @Column(name = "PRICE_TYPE_NAME")
    private String priceTypeName;

    /**
     * 使用年份
     */
    @Column(name = "USE_YEAR")
    private String useYear;

    /**
     * 编码
     */
    @Column(name = "CODE")
    private String code;

    /**
     * 描述
     */
    @Column(name = "DESCRIPTION")
    private String description;

//    /**
//     * 环比伐值
//     */
//    @Column(name = "MOM_VAL")
//    private BigDecimal momVal;

}
