package com.unis.indicator.server.entity.indicator;

import com.unis.common.utils.UUIDUtils;
import com.unis.indicator.server.entity.BaseEntity;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * @ClassName QzjcxxDO
 * @Description 权重基础信息实体类
 * @Author xmpu
 * @Date 2019/7/24 14:07
 * @Version 0.0.3
 **/
@Getter
@Setter
@Table(name = "QZJCXX")
public class QzjcxxDO extends BaseEntity {

    /**
     * 权重代码
     */
    @Column(name = "QZDM")
    private String weightCode;

    /**
     * 权重名称
     */
    @Column(name = "QZMC")
    private String weightName;

    /**
     * 权重类别
     */
    @Column(name = "QZLX")
    private String weightType;

    /**
     * 权重类别名称
     */
    @Column(name = "QZLXMC")
    private String weightTypeName;

    /**
     * 维护日期
     */
    @Column(name = "WHRQ")
    private Date date;

    /**
     * 应用状态（0：禁用；1：启用）
     */
    @Column(name = "ZT")
    private String isPublish;

}
