package com.unis.indicator.server.entity.indicator;

import com.unis.common.utils.UUIDUtils;
import com.unis.indicator.server.entity.BaseEntity;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @ClassName QzjcxxDO
 * @Description 权重值实体类
 * @Author xmpu
 * @Date 2019/7/24 14:07
 * @Version 0.0.3
 **/
@Getter
@Setter
@Table(name = "QZZ")
public class QzzDO {


    @Id
    @Column(name="ID")
    private String id = UUIDUtils.uuid();

    /**
     * 权重代码
     */
    @Column(name = "QZDM")
    private String weightCode;

    /**
     * 品种
     */
    @Column(name = "PZ")
    private String indName;

    /**
     * 备注
     */
    @Column(name = "BZ")
    private String description;

    /**
     * 权重值
     */
    @Column(name = "QZZ")
    private Integer weightVal;

}
