package com.unis.indicator.server.entity.indicator;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

import lombok.Data;

@Data
@Entity
@Table(name = "zkbbzb")
public class ReportBaseDO implements Serializable {

	private static final long serialVersionUID = 1L;

	@Id
	private String id;

	/**
	 * 报表类型ID
	 */
	@Column(name = "bblxid")
	private String reportTypeId;

	/**
	 * 报表类型NAME
	 */
	@Column(name = "bblxmc")
	private String reportTypeName;

	/**
	 * 指标ID
	 */
	@Column(name = "zbid")
	private String indicatorId;

	/**
	 * 指标NAME
	 */
	@Column(name = "zbmc")
	private String indicatorName;

	/**
	 * 创建时间
	 */
	@Column(name = "create_time")
	private Date createTime;

	/**
	 * 指标标准ID
	 */
	@Column(name = "zbbzid")
	private String zbbzId;

	/**
	 * 指标标准名称
	 */
	@Column(name = "zbbzmc")
	private String zbbzMc;

	/**
	 * 品种顺序
	 */
	private Integer pzsx;

	/**
	 * 基期价
	 */
	private Double jqj;
	
}
