package com.unis.indicator.server.entity.indicator;

import com.unis.common.utils.UUIDUtils;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @ClassName ZbdwDO
 * @Description 指标与价格类型中间表实体类
 * @Author xmpu
 * @Date 2019/7/24 14:07
 * @Version 0.0.3
 **/
@Getter
@Setter
@Table(name = "IND_INDICATOR_UNIT")
public class ZbdwDO {

    @Id
    @Column(name="ID")
    private String id = UUIDUtils.uuid();

    /**
     * 单位ID
     */
    @Column(name = "UNIT_ID")
    private String priceId;

    /**
     * 指标ID
     */
    @Column(name = "INDICATOR_ID")
    private String indicatorId;

}
