package com.unis.indicator.server.entity.indicator;

import com.unis.common.utils.UUIDUtils;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @ClassName ZbjcdDO
 * @Description 指标与监测点中间表实体类
 * @Author xmpu
 * @Date 2019/7/24 14:07
 * @Version 0.0.3
 **/
@Getter
@Setter
@Table(name = "IND_MONITOR_INDICATOR")
public class ZbjcdDO {

    @Id
    @Column(name="ID")
    private String id = UUIDUtils.uuid();

    /**
     * 指标ID
     */
    @Column(name = "MONITOR_ID")
    private String monitorId;

    /**
     * 指标ID
     */
    @Column(name = "INDICATOR_ID")
    private String indicatorId;

    /**
     * 指标NAME
     */
    @Column(name = "MONITOR_NAME")
    private String monitorName;

    /**
     * 指标NAME
     */
    @Column(name = "INDICATOR_NAME")
    private String indicatorName;

}
