package com.unis.indicator.server.enums;

import lombok.Getter;

@Getter
public enum IndTypeEnum {

    GRAIN("1", "原粮"),
    FINISHED_GOODS("2", "成品粮"),
    OILSEEDS("3", "油料类"),
    GREASE("4", "油脂类"),
    ;

    private String code;
    private String message;

    IndTypeEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }


    public static IndTypeEnum getByValue(String value){
        for(IndTypeEnum indType : values()){
            if (indType.getCode().equals(value)) {
                return indType;
            }
        }
        return null;
    }
}