package com.unis.indicator.server.enums;
/**
 * 
 * @Description：价格类型
 * @author：王帅 
 * @date: 2020年4月10日 
 */
public enum PriceTypeEnum {

	RETAIL("1", "集贸零售"), WHOLESALE("2", "集贸批发"), supermarket("3", "超市");

	private String code;
	private String message;

	PriceTypeEnum(String code, String message) {
		this.code = code;
		this.message = message;
	}

	public static PriceTypeEnum getByValue(String value) {
		for (PriceTypeEnum indType : values()) {
			if (indType.getCode().equals(value)) {
				return indType;
			}
		}
		return null;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

}