package com.unis.indicator.server.enums;

import lombok.Getter;

@Getter
public enum WeekEnum {

    MOM("1", "周一"),
    TUE("2", "周二"),
    WED("3", "周三"),
    THUR("4", "周四"),
    FIR("5", "周五"),
    SAT("6", "周六"),
    SUN("7", "周日"),
    ;

    private String code;
    private String message;

    WeekEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public static WeekEnum getByValue(String value){
        for(WeekEnum indType : values()){
            if (indType.getCode().equals(value)) {
                return indType;
            }
        }
        return null;
    }

}