package com.unis.indicator.server.service;

import java.util.List;
import java.util.Map;

import com.alibaba.fastjson.JSONObject;
import com.unis.indicator.common.vo.ReportingOfIndexPriceAddVO;
import com.unis.indicator.common.vo.ReportingOfIndexPriceParamVO;

/**
 * 
 * @Description：指标价格填报记录
 * @author：王帅
 * @date: 2020年4月09
 */
public interface ReportingOfIndexPriceService {

	public boolean insertReportedRecord(ReportingOfIndexPriceAddVO record);

	public boolean updateReportedRecord(ReportingOfIndexPriceAddVO record);

	public ReportingOfIndexPriceAddVO showDetail(ReportingOfIndexPriceParamVO param);

	public Map<String, Object> showListByPage(ReportingOfIndexPriceParamVO param, Integer pageSize, Integer pageNum);

	public Map<String, Object> showPriceIndexTrend(ReportingOfIndexPriceParamVO param);

	public Map<String, Object> showPriceIndexList(ReportingOfIndexPriceParamVO param);

	public JSONObject showMonthTrend(ReportingOfIndexPriceParamVO param);

	public List<ReportingOfIndexPriceAddVO> showDetailList(String reportId, String reportType);
}
