package com.unis.indicator.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @ClassName IndicatorMonitorVO
 * @Description 监测点与指标VO
 * @Author xmpu
 * @Date 2019/7/24 14:07
 * @Version 0.0.3
 **/
@Getter
@Setter
@ApiModel(value = "监测点与指标关联Model")
public class IndicatorMonitorVO {

	@ApiModelProperty(value = "选择的监测点的id")
	private String monitorId;

	@ApiModelProperty(value = "选择的监测点的name")
	private String monitorName;

	@ApiModelProperty(value = "选择的指标的id集合")
	private List<String> indicatorIds;

	@ApiModelProperty(value = "选择的指标的集合")
	private List<IndicatorVO> indicatorVOList;
}
