package com.unis.indicator.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@ApiModel(description = "QgjgzsTbjlInfoVO，全国价格指数填报记录相关信息")
@Getter
@Setter
public class NationIndexInfoVO {

    /**
     * 主键ID
     */
    @ApiModelProperty(value = "全国价格指数主键ID")
    private String id;

    /**
     *报表id
     */
    @ApiModelProperty(value = "报表id")
    private String tbjlId;

    /**
     *品种类别
     */
    @ApiModelProperty(value = "品种类别")
    private String pzlb;

    /**
     *品种名称
     */
    @ApiModelProperty(value = "品种名称")
    private String pzmc;

    /**
     *指数
     */
    @ApiModelProperty(value = "指数")
    private Double zs;

    /**
     *环比
     */
    @ApiModelProperty(value = "环比")
    private Double hb;

    /**
     *同比
     */
    @ApiModelProperty(value = "同比")
    private Double tb;
}
