package com.unis.indicator.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.*;

/**
 *功能描述 价格指数统计表
 * @author wangqiang
 * @date 2019/8/27 0027
 * @param
 * @return
 */
@Getter
@Setter
@ApiModel(description = "价格指数统计表")
public  class PriceIndexVO {

    @ApiModelProperty(value = "价格类型")
    private String priceType;
    @ApiModelProperty(value = "品种类型,指数")
    private Map<String, Object> priceAndIndex;

    @ApiModelProperty(value = "指标类别")
    private Map<String,HashMap<String, Object>> mapHashMap;

    @ApiModelProperty(value = "统计日期")
    private String date;

    @ApiModelProperty(value = "日期list")
    private List<String> dateList ;






    @ApiModelProperty(value = "折线数据new")
    private Map<String,Set<Map<String, List<Double>>>> superMap ;

    @ApiModelProperty(value = "原综合")
    private Map<String,List<Double>> doubleList ;


}
