package com.unis.indicator.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@ApiModel(description = "LyjgInfoVO，粮油价格")
@Getter
@Setter
public class PriceQuotesVO {

    @ApiModelProperty(value = "地区")
    private String place;

    @ApiModelProperty(value = "价格类型")
    private String priceType;

    @ApiModelProperty(value = "涨跌")
    private String up;

    @ApiModelProperty(value = "星期四时间")
    private String thursday;

    @ApiModelProperty(value = "星期三时间")
    private String wednesday;

    @ApiModelProperty(value = "星期二时间")
    private String tuesday;

    @ApiModelProperty(value = "星期一时间")
    private String monday;

    @ApiModelProperty(value = "上星期四时间")
    private String lastThursday;
}
