package com.unis.indicator.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;
import java.util.Map;

/**
 * @ClassName PriceStatisticsWeekVO
 * @Description 价格统计周报表
 * @Author renyu
 * @Date
 * @Version 0.0.1
 **/
@Getter
@Setter
@ApiModel(value = "价格统计日报表")
public class PriceStatisticsDayVO {

    /**
     * 检测点
     */
    @ApiModelProperty(value = "检测点")
    private String point;

    /**
     * 检测点
     */
    @ApiModelProperty(value = "检测点id")
    private String pointId;

    private List<Map<String,Object>> resultMap;

}
