package com.unis.indicator.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
//import org.hibernate.validator.constraints.NotEmpty;
//
//import javax.validation.constraints.Pattern;
//import javax.validation.constraints.Size;
import java.math.BigDecimal;

/**
 * @ClassName PriceTypeVO
 * @Description 价格类型VO
 * @Author xmpu
 * @Date 2019/7/24 14:07
 * @Version 0.0.3
 **/
@Getter
@Setter
@ApiModel(value = "价格类型Model")
public class PriceTypeVO extends BaseVO {

//	@ApiModelProperty(value = "价格类型名称", required = true)
//	@Size(max= 30, message = "价格类型名称最大长度为30")
//	@NotEmpty(message="价格类型名称不能为空")
//	@Pattern(regexp = "\\S*$", message = "价格类型名称不能为空格")
	private String priceTypeName;

	@ApiModelProperty(value = "使用年份")
	private String useYear;

	@ApiModelProperty(value = "环比伐值")
	private BigDecimal momVal;

	@ApiModelProperty(value = "小数位数")
	private String decimalDigit;

	@ApiModelProperty(value = "幅度提示")
	private String rangeTips;

	@ApiModelProperty(value = "基准价格")
	private String standardPrice;

	@ApiModelProperty(value = "编码")
	private String code;

	@ApiModelProperty(value = "描述")
	private String description;

}
