package com.unis.indicator.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@ApiModel(description = "TbjlVO，全国价格走势查询字段")
@Getter
@Setter
public class ReportRecordVO {
    /**
     * 查询开始年份
     */
    @ApiModelProperty(value = "查询开始年份")
    private String selectYearS;
    /**
     * 查询结束年份
     */
    @ApiModelProperty(value = "查询结束年份")
    private String selectYearE;
    /**
     * 统计开始时间
     */
    @ApiModelProperty(value = "统计开始时间")
    private String startTime;

    /**
     * 统计开始时间
     */
    @ApiModelProperty(value = "统计结束时间")
    private String endTime;

    /**
     * 报表类型
     */
    @ApiModelProperty(value = "报表类型")
    private String bblx;

    /**
     * 品种
     */
    @ApiModelProperty(value = "品种")
    private String pzlb;
    private  List<String> pzlbsz;

    /**
     * 地区
     */
    @ApiModelProperty(value = "地区")
    private String sbdq;

    /**
     * 地区
     */
    @ApiModelProperty(value = "行政区划code")
    private String areaCode;

    
    /**
     * 价格类型
     */
    @ApiModelProperty(value = "价格类型")
    private String jglx;
    
    /**
     * 品种名称
     */
    @ApiModelProperty(value = "品种名称")
    private String pzmc;
    private  List<String> pzmcsz;

    @ApiModelProperty(value = "报表期类型")
    private String reportDateType;

    @ApiModelProperty(value = "上报地区")
    private String deptName;

    @ApiModelProperty(value = "上报地区id")
    private String deptId;
    @ApiModelProperty("监测点")
    private String orgCode;
    @ApiModelProperty("监测点")
    private String orgId;

    @ApiModelProperty("监测点名称")
    private String orgName;

    @ApiModelProperty("pp")
    private String jlbz;
}
