package com.unis.indicator.common.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 * @Description：指标价格填报
 * @author：王帅
 * @date: 2020年4月09
 */
@Data
@ApiModel(value = "指数填报详情")
public class ReportingOfIndexPriceDetailVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "顺序号")
	private Integer xh; // 顺序

	@ApiModelProperty(value = "指标编码")
	private String zbbm; // 指标编码

	@ApiModelProperty(value = "指标名称")
	private String zbmc; // 指标编码

	@ApiModelProperty(value = "指标名称")
	private String pzmc; // 名称

	@ApiModelProperty(value = "价格")
	private Double jg; // 价格

	@ApiModelProperty(value = "指数")
	private Double zs; // 指数

	@ApiModelProperty(value = "基期价")
	private Double jqj; // 基期价

	@ApiModelProperty(value = "批发价格")
	private String wholesalePrice;

	/**
	 *计量标准编码
	 */
	@ApiModelProperty(value = "计量标准编码")
	private String jlbzbm;

	/**
	 *计量标准
	 */
	@ApiModelProperty(value = "计量标准")
	private String jlbz;
}
