package com.unis.indicator.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@ApiModel(description = "StatisticsOutputVO，上报统计输出类")
@Getter
@Setter
public class StatisticsOutputVO {
    /**
     *检测点名称
     */
    @ApiModelProperty(value = "上报检测点")
    private String point;

    /**
     *上报检测点id
     */
    @ApiModelProperty(value = "上报检测点id")
    private String pointId;

    /**
     *上报地区
     */
    @ApiModelProperty(value = "上报地区")
    private String reportArea;

    /**
     *修改次数
     */
    @ApiModelProperty(value = "修改次数")
    private Integer updateNum;

    /**
     *上报次数
     */
    @ApiModelProperty(value = "上报次数")
    private Integer reportNum;

    /**
     *驳回次数
     */
    @ApiModelProperty(value = "驳回次数")
    private Integer rejectNum;

    /**
     *系统生成次数
     */
    @ApiModelProperty(value = "系统生成次数")
    private String systemNum;

    /**
     *中心填报次数
     */
    @ApiModelProperty(value = "中心填报次数")
    private String centerNum;
}
