package com.unis.indicator.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @author ：yangshengjie
 * @date ：Created in 2019/12/26 9:46
 */
@ApiModel(description = "WarningMxVO，预警规则明细")
@Getter
@Setter
public class WarningMxVO{

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private String id;

    /**
     * 价格类型
     */
    @ApiModelProperty(value = "价格类型")
    private String jglx;

    /**
     * 最低价格
     */
    @ApiModelProperty(value = "最低价格")
    private Double zdjg;

    /**
     * 最高价格
     */
    @ApiModelProperty(value = "最高价格")
    private Double zgjg;

}
