package com.unis.indicator.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@ApiModel(value = "周刊报表")
public class WeeklyReportVO {

    @ApiModelProperty(value = "上报开始时间")
    private String reportStartDate;

    @ApiModelProperty(value = "上报结束时间")
    private String reportEndDate;

    @ApiModelProperty(value = "上周上报结束时间")
    private String lastReportEndDate;

    @ApiModelProperty(value = "指标类型")
    private String indicatorType;

    @ApiModelProperty(value = "指标")
    private String indicator;

    @ApiModelProperty(value = "报表类型")
    private String priceType;

    @ApiModelProperty(value = "价格类型")
    private String jglx;

    @ApiModelProperty(value = "检测点名称")
    private String point;

    @ApiModelProperty(value = "行政区划")
    private String xzqh;

    @ApiModelProperty(value = "起始页")
    private Integer page;

    @ApiModelProperty(value = "每页展示行数")
    private Integer size;

    @ApiModelProperty(value = "报表类型分类 1:原粮 2:成品粮")
    private Integer type;
}
