package com.unis.indicator.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @ClassName WeightVO
 * @Description 权重值VO
 * @Author xmpu
 * @Date 2019/7/24 14:07
 * @Version 0.0.3
 **/
@Getter
@Setter
@ApiModel(value = "权重值Model")
public class WeightValueVO {

	@ApiModelProperty(value = "id，自动生成")
	private String id;

	@ApiModelProperty(value = "权重代码")
	private String weightCode;

	@ApiModelProperty(value = "指标")
	private String indName;

	@ApiModelProperty(value = "备注")
	private String description;

	@ApiModelProperty(value = "权重值")
	private Integer weightVal;

}
