package com.unis.indicator.common.vo.bbzb;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@ApiModel(description = "指标规格品牌model")
@Getter
@Setter
public class IndiBreedSpcVO {

    @ApiModelProperty(value = "唯一的id")
    private String id;

    @ApiModelProperty(value = "指标名称")
    private String indicatorName;

    @ApiModelProperty(value = "指标ID")
    private String indicatorId;

    @ApiModelProperty(value = "品牌名称")
    private String breedName;

    @ApiModelProperty(value = "品牌ID")
    private String breedId;

    @ApiModelProperty(value = "规格名称")
    private String specsName;

    @ApiModelProperty(value = "规格ID")
    private String specsId;

    @ApiModelProperty(value = "产地名称")
    private String placeName;

    @ApiModelProperty(value = "list")
    private List<BreedVO> breedVOList;
}
