package com.unis.indicator.common.vo.bbzb;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.Size;

@ApiModel(description = "周刊报表配置model")
@Getter
@Setter
public class ReportConfigVO {

    @ApiModelProperty(value = "唯一的id")
    private String id;

    @ApiModelProperty(value = "报表类型编码", required = true)
    private String reportTypeCode;

    @ApiModelProperty(value = "报表类型名", required = true)
    private String reportTypeName;

    @ApiModelProperty(value = "报表指标编码", required = true)
    private String reportIndicator;

    @ApiModelProperty(value = "报表指标名", required = true)
    private String reportIndicatorName;

    @ApiModelProperty(value = "报表价格编码", required = true)
    private String reportIndicatorPrice;

    @ApiModelProperty(value = "报表价格名", required = true)
    private String reportIndicatorPriceName;

    @ApiModelProperty(value = "监测点编码", required = true)
    private String monitorId;

    @ApiModelProperty(value = "监测点名称", required = true)
    private String monitorName;

    @ApiModelProperty(value = "监测点所属地区编码", required = true)
    private String countyCode;

    @ApiModelProperty(value = "监测点所属地区名称")
    private String countyName;

    @ApiModelProperty(value = "指标编码", required = true)
    private String indicatorCode;

    @ApiModelProperty(value = "指标名称", required = true)
    private String indicatorName;

    @ApiModelProperty(value = "价格类型编码", required = true)
    private String priceTypeCode;

    @ApiModelProperty(value = "价格类型", required = true)
    private String priceTypeName;

    @ApiModelProperty(value = "指标标准编码", required = true)
    private String StandardCode;

    @ApiModelProperty(value = "指标标准", required = true)
    private String StandardName;

}
