package com.unis.indicator.server.dao;

import com.unis.indicator.server.entity.report.LyjgmxDO;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface LyjgmxDao {
    void insert(LyjgmxDO lyjgmxDO);

    void update(LyjgmxDO lyjgmxDO);

    void updateByEntity(LyjgmxDO lyjgmxDO);

    LyjgmxDO selectById(LyjgmxDO lyjgmxDO);

    List<LyjgmxDO> selectInfoByFid(String id);

    List<LyjgmxDO> selectInfoByFidAndJglx(String id,String jglx);
}
