package com.unis.indicator.server.dao;


import com.unis.indicator.common.vo.IndicatorVO;
import com.unis.indicator.server.entity.indicator.QzzDO;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;
import java.util.Map;

/**
 * 
 * @ClassName: QzzDao
 * @Description: 权重值dao
 * @author xmpu
 * @date 2019年7月24日 下午2:41:22
 * 
 * @version v1.0
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface QzzDao extends Mapper<QzzDO> {

    List<IndicatorVO> findIndicatorByWeightType(Map<String, Object> param);

    Double findQzzByQZDM(String qzDM,String Pzmc);
}