package com.unis.indicator.server.dao;


import com.unis.indicator.common.vo.IndicatorVO;
import com.unis.indicator.server.entity.indicator.ZbDO;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;
import java.util.Map;

/**
 * 
 * @ClassName: ZbDao
 * @Description: 指标dao
 * @author xmpu
 * @date 2019年7月24日 下午2:41:22
 * 
 * @version v1.0
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface ZbDao extends Mapper<ZbDO> {

    List<IndicatorVO> findIndsTree(Map<String, Object> param);

    List<IndicatorVO> findAllIndsTree(Map<String, Object> param);

    String selectNameByBm(String variety);
}