package com.unis.indicator.server.entity;

import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Table;

@Getter
@Setter
@Table(name = "QKSC")
public class QkscDO extends BaseEntity {

    /**
     * 标题
     */
    @Column(name = "BT")
    private String title;

    /**
     * 附件
     */
    @Column(name="FJ")
    private String annex;

    /**
     * 行政区划code
     */
    @Column(name="AREA_CODE")
    private String areaCode;

    /**
     * 行政区划name
     */
    @Column(name="AREA_NAME")
    private String areaName;

    /**
     * 组织机构name
     */
    @Column(name="ORG_NAME")
    private String orgName;

    /**
     * 部门name
     */
    @Column(name="DEPT_NAME")
    private String deptName;
}
