package com.unis.indicator.server.entity.indicator;

import com.unis.common.utils.UUIDUtils;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;


@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "BBLX")
public class BblxDO {

    @Id
    @Column(name="ID")
    private String id = UUIDUtils.uuid();

    /**
     * 报表类型名称
     */
    @Column(name = "BBLXMC")
    private String reportTypeName;

    /**
     * 报表期类型编码
     */
    @Column(name="BBQLXBM")
    private String reportTimeTypeId;

    /**
     * 报表期类型名称
     */
    @Column(name="BBQLXMC")
    private String reportTimeTypeName;

    /**
     * 上报开始时间(例如：周一)
     */
    @Column(name="SBKSSJ")
    private String startTime;

    /**
     * 上报结束时间（例如：周五）
     */
    @Column(name="SBJSSJ")
    private String endTime;

}
