package com.unis.indicator.server.entity.indicator;

import com.unis.common.utils.UUIDUtils;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;


@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "ZKBBPZ")
public class BbpzDO {

    @Id
    @Column(name="ID")
    private String id = UUIDUtils.uuid();

    /**
     * 周刊报表类型编码
     */
    @Column(name = "ZKBBLXBM")
    private String reportTypeCode;

    /**
     * 周刊报表类型名
     */
    @Column(name = "ZKBBLXM")
    private String reportTypeName;

    /**
     * 周刊报表指标
     */
    @Column(name="ZKBBZB")
    private String reportIndicator;

    /**
     * 周刊报表指标名
     */
    @Column(name="ZKBBZBM")
    private String reportIndicatorName;

    /**
     * 周刊报表价格
     */
    @Column(name="ZKBBJG")
    private String reportIndicatorPrice;

    /**
     * 周刊报表价格名
     */
    @Column(name="ZKBBJGM")
    private String reportIndicatorPriceName;

    /**
     * 行政区划编码
     */
    @Column(name="XZQHBM")
    private String countyCode;

    /**
     * 行政区划
     */
    @Column(name="XZQH")
    private String countyName;

    /**
     * 监测点ID
     */
    @Column(name="JCD_ID")
    private String monitorId;

    /**
     * 监测点名称
     */
    @Column(name="JCDMC")
    private String monitorName;

    /**
     * 指标编码
     */
    @Column(name="ZBBM")
    private String indicatorCode;

    /**
     * 指标名称
     */
    @Column(name="ZBMC")
    private String indicatorName;

    /**
     * 价格类型编码
     */
    @Column(name="JGLXBM")
    private String priceTypeCode;
    /**
     * 价格类型名称
     */
    @Column(name="JGLX")
    private String priceTypeName;

    /**
     * 指标标准编码
     */
    @Column(name="ZBBZBM")
    private String StandardCode;

    /**
     * 指标标准
     */
    @Column(name="ZBBZ")
    private String StandardName;

}
