package com.unis.indicator.server.entity.indicator;

import com.unis.common.utils.UUIDUtils;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;


@SuppressWarnings("serial")
@Getter
@Setter
@Entity
@Table(name = "ZKBBZB")
public class BbzbDO {

    @Id
    @Column(name="ID")
    private String id = UUIDUtils.uuid();

    /**
     * 报表类型ID
     */
    @Column(name = "BBLXID")
    private String reportTypeId;

    /**
     * 报表类型NAME
     */
    @Column(name = "BBLXMC")
    private String reportTypeName;

    /**
     * 指标ID
     */
    @Column(name="ZBID")
    private String indicatorId;

    /**
     * 指标NAME
     */
    @Column(name="ZBMC")
    private String indicatorName;

    /**
     * 创建时间
     */
    @Column(name="CREATE_TIME")
    private Date createTime;

    /**
     * 指标标准ID
     */
    @Column(name = "ZBBZID")
    private String zbbzId;

    /**
     * 指标标准名称
     */
    @Column(name = "ZBBZMC")
    private String zbbzMc;
    
    /**
     * 品种顺序
     */
    private Integer pzsx;
    
    /**
     * 基期价
     */
    private Double jqj;
}
