package com.unis.indicator.server.entity.indicator;

import com.unis.common.utils.UUIDUtils;
import com.unis.indicator.server.entity.BaseEntity;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @ClassName ZbdwDO
 * @Description 指标标准信息实体类
 * @Author xmpu
 * @Date 2019/7/24 14:07
 * @Version 0.0.3
 **/
@Getter
@Setter
@Table(name = "IND_STANDARD_INFO")
public class BzDO extends BaseEntity {

    /**
     * 指标标准名称
     */
    @Column(name = "IND_STANDARD_NAME")
    private String standardName;

    /**
     * 描述
     */
    @Column(name = "DESCRIPTION")
    private String description;

}
