package com.unis.indicator.server.entity.indicator;

import com.unis.indicator.server.entity.BaseEntity;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Table;

@Getter
@Setter
@Table(name = "YJGZ")
public class YjgzDO extends BaseEntity {
    /**
     *组织机构名称
     */
    @Column(name="ORG_NAME")
    private String orgName;

    /**
     *部门名称
     */
    @Column(name="DEPT_NAME")
    private String deptName;

    /**
     *行政区划code
     */
    @Column(name="AREA_CODE")
    private String areaCode;

    /**
     *行政区划名称
     */
    @Column(name="AREA_NAME")
    private String areaName;

    /**
     *上报地区
     */
    @Column(name="SBDQ")
    private String sbdq;

    /**
     *监测点
     */
    @Column(name="JCD")
    private String jcd;

    /**
     *品种
     */
    @Column(name="PZ")
    private String pz;

    /**
     *等级
     */
    @Column(name="DJ")
    private String dj;

    /**
     *计量单位
     */
    @Column(name="JLDW")
    private String jldw;

}
