package com.unis.indicator.server.entity.indicator;

import com.unis.common.utils.UUIDUtils;
import com.unis.indicator.server.entity.BaseEntity;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @author ：yangshengjie
 * @date ：Created in 2019/12/26 9:57
 */
@Getter
@Setter
@Table(name = "YJGZMX")
public class YjgzmxDO{
    private static final long serialVersionUID = -5082401234492420871L;

    @Id
    @Column(name="ID")
    private String id = UUIDUtils.uuid();

    /**
     * 预警规则id
     */
    @Column(name="YJGZID")
    private String yjgzid;

    /**
     *价格类型
     */
    @Column(name="JGLX")
    private String jglx;

    /**
     *最低价格
     */
    @Column(name="ZDJG")
    private Double zdjg;

    /**
     *最高价格
     */
    @Column(name="ZGJG")
    private Double zgjg;

}
