package com.unis.indicator.server.entity.indicator;

import com.unis.indicator.server.entity.BaseEntity;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Table;

/**
 * @ClassName ZbDO
 * @Description 指标管理实体类
 * @Author xmpu
 * @Date 2019/7/24 14:07
 * @Version 0.0.3
 **/
@Getter
@Setter
@Table(name = "IND_INDICATOR")
public class ZbDO extends BaseEntity {

    /**
     * 指标名称
     */
    @Column(name = "IND_NAME")
    private String indName;

    /**
     * 使用年份
     */
    @Column(name = "USE_YEAR")
    private String useYear;

    /**
     * 指标编码
     */
    @Column(name = "IND_CODE")
    private String indCode;

    /**
     * 英文代码
     */
    @Column(name = "ENS_CODE")
    private String ensCode;
    /**
     * 级别
     */
    @Column(name = "IND_LEVEL")
    private String indLevel;

    /**
     * 类型
     */
    @Column(name = "IND_TYPE")
    private String indType;

    /**
     * 父指标
     */
    @Column(name = "P_IND")
    private String pInd;

    /**
     * 叶子节点
     */
    @Column(name = "IS_CHILD")
    private String isChild;

    /**
     * 描述
     */
    @Column(name = "DESCRIPTION")
    private String description;

    /**
     * 指标单位id
     */
    @Column(name = "UNIT_ID")
    private String unitId;


}
