package com.unis.indicator.server.entity.indicator;

import com.unis.common.utils.UUIDUtils;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @ClassName ZbbzDO
 * @Description 指标与标准中间表实体类
 * @Author xmpu
 * @Date 2019/7/24 14:07
 * @Version 0.0.3
 **/
@Getter
@Setter
@Table(name = "IND_INDICATOR_STANDARD")
public class ZbbzDO {

    @Id
    @Column(name="ID")
    private String id = UUIDUtils.uuid();

    /**
     * 指标标准ID
     */
    @Column(name = "STANDARD_ID")
    private String standardId;

    /**
     * 指标ID
     */
    @Column(name = "INDICATOR_ID")
    private String indicatorId;

    /**
     * 指标标准NAME
     */
    @Column(name = "STANDARD_NAME")
    private String standardName;

    /**
     * 指标NAME
     */
    @Column(name = "INDICATOR_NAME")
    private String indicatorName;


}
