package com.unis.indicator.server.entity.indicator;

import com.unis.common.utils.UUIDUtils;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;


@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "ZBPPGG")
public class ZbppggDO {

    @Id
    @Column(name="ID")
    private String id = UUIDUtils.uuid();

    /**
     * 指标名称
     */
    @Column(name = "ZB_NAME")
    private String indicatorName;

    /**
     * 指标ID
     */
    @Column(name = "ZB_ID")
    private String indicatorId;

    /**
     * 品牌名称
     */
    @Column(name="PP_NAME")
    private String breedName;

    /**
     * 品牌ID
     */
    @Column(name="PP_ID")
    private String breedId;

    /**
     * 规格名称
     */
    @Column(name="GG_NAME")
    private String specsName;

    /**
     * 规格ID
     */
    @Column(name="GG_ID")
    private String specsId;

    /**
     * 产地名称
     */
    @Column(name="CD")
    private String placeName;

}
