package com.unis.indicator.server.entity.report;

import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;


@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "LYJG")
public class LyjgDO {

    /**
     * 粮油价格表主键ID
     */
    @Id
    @Column(name = "ID")
    private String id;

    /**
     * 报表id
     */
    @Column(name = "TBJL_ID")
    private String tbjlId;

    /**
     *序号
     */
    @Column(name="XH")
    private Integer xh;

    /**
     *指标类别编码
     */
    @Column(name="ZBLBBM")
    private String zblbbm;

    /**
     *指标类别
     */
    @Column(name="PZLB")
    private String pzlb;

    /**
     *指标编码
     */
    @Column(name="ZBBM")
    private String zbbm;

    /**
     *指标名称
     */
    @Column(name="PZMC")
    private String pzmc;

    /**
     *计量标准编码
     */
    @Column(name="JLBZBM")
    private String jlbzbm;

    /**
     *计量标准
     */
    @Column(name="JLBZ")
    private String jlbz;

    /**
     *计量单位编码
     */
    @Column(name="JLDWBM")
    private String jldwbm;

    /**
     *计量单位
     */
    @Column(name="JLDW")
    private String jldw;

    /**
     *等级编码
     */
    @Column(name="DJBM")
    private String djbm;

    /**
     *等级
     */
    @Column(name="DJ")
    private String dj;

    /**
     *品牌编码
     */
    @Column(name="PPBM")
    private String ppbm;

    /**
     *品牌
     */
    @Column(name="PP")
    private String pp;

    /**
     *规格
     */
    @Column(name="GG")
    private String gg;

    /**
     *产地行政区划编码
     */
    @Column(name="CDXZQHBM")
    private String cdxzqhbm;

    /**
     *产地
     */
    @Column(name="CD")
    private String cd;

    /**
     *变动原因（备注）
     */
    @Column(name="BDYY")
    private String bdyy;



}
