package com.unis.indicator.server.entity.report;

import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;

@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "LYJGMX")
public class LyjgmxDO {

    /**
     * 主键ID
     */
    @Id
    @Column(name = "ID")
    private String id;

    /**
     *价格类型
     */
    @Column(name = "JGLX")
    private String jglx;

    /**
     *上期价格
     */
    @Column(name = "SQJG")
    private Double sqjg;

    /**
     *本期价格
     */
    @Column(name = "BQJG")
    private Double bqjg;

    /**
     *上期数量
     */
    @Column(name = "SBSL")
    private Double sbsl;

    /**
     *本期数量
     */
    @Column(name = "BQSL")
    private Double bqsl;

    /**
     *主表id
     */
    @Column(name = "LYJG_ID")
    private String lyjgId;

    /**
     *指数
     */
    @Column(name = "JGZS")
    private Double jgzs;

    /**
     *环比
     */
    @Column(name = "HBZZL")
    private Double hbzzl;

    /**
     *同比
     */
    @Column(name = "TBZZL")
    private Double tbzzl;

    /**
     *上期最高价格
     */
    @Column(name = "SQZGJG")
    private Double sqzgjg;

    /**
     *上期最低价格
     */
    @Column(name = "SQZDJG")
    private Double sqzdjg;
}
