package com.unis.indicator.server.entity.report;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import lombok.Getter;
import lombok.Setter;

/**
 * 
 * @Description：指标价格填报详情
 * @author：王帅
 * @date: 2020年4月09
 */
@Getter
@Setter
@Entity
@Table(name = "reported_record")
public class ReportingOfIndexPriceDetailDO implements Serializable {

	private static final long serialVersionUID = 1L;

	private String id; // 主键

	@Column(name = "report_id")
	private String reportId; // 报表主键

	private Integer xh; // 顺序

	private String zbbm; // 指标编码

	private String pzmc; // 名称

	/**
	 *计量标准编码
	 */
	@Column(name="JLBZBM")
	private String jlbzbm;

	/**
	 *计量标准
	 */
	@Column(name="JLBZ")
	private String jlbz;

	private Double jg; // 价格

	private Double zs; // 指数

	private Double jqj; // 基期价
}
