package com.unis.indicator.server.entity.report;

import com.unis.indicator.server.entity.BaseEntity;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * @ClassName LyjgDo
 * @Description 报表实体类
 * @Author renyu
 * @Date 2019/8/10 14:00
 * @Version 0.0.1
 **/
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "TBJL")
public class TbjlDO extends BaseEntity {

    /**
     *报表类型ID
     */
    @Column(name="BBLXID")
    private String bblxId;

    /**
     *报表类型
     */
    @Column(name="BBLXMC")
    private String bblxmc;

    /**
     *报表期类型
     */
    @Column(name="BBXLX")
    private String bbxlx;

    /**
     *上报开始时间
     */
    @Column(name="SBKSSJ")
    private Date sbkssj;

    /**
     *上报结束时间
     */
    @Column(name="SBJSSJ")
    private Date sbjssj;

    /**
     *流程ID
     */
    @Column(name="LCID")
    private String lcid;

    /**
     *检测点名称
     */
    @Column(name="ORG_NAME")
    private String orgName;

    /**
     *上报地区
     */
    @Column(name="DEPT_NAME")
    private String deptName;

    /**
     *行政区划code
     */
    @Column(name="AREA_CODE")
    private String areaCode;

    /**
     *行政区划名称
     */
    @Column(name="AREA_NAME")
    private String areaName;

    /**
     *修改次数
     */
    @Column(name="UPDATE_NUM")
    private Integer updateNum;

    /**
     *驳回次数
     */
    @Column(name="REJECT_NUM")
    private Integer rejectNum;
    
    /**
     *是否已填报
     */
    @Column(name="FILL_NUM")
    private Integer fillNum;

}
