package com.unis.indicator.server.enums;

import lombok.Getter;

@Getter
public enum IndIsChildEnum {

    YES("0", "否"),
    NO("1", "是"),
    ;

    private String code;
    private String message;

    IndIsChildEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public static IndIsChildEnum getByValue(String value){
        for(IndIsChildEnum indType : values()){
            if (indType.getCode().equals(value)) {
                return indType;
            }
        }
        return null;
    }

}