package com.unis.indicator.server.enums;

import lombok.Getter;

@Getter
public enum IndLevelEnum {

    levelOne("1", "一级"),
    levelTwo("2", "二级"),
    levelThree("3", "三级"),
    levelFour("4", "四级"),
    ;

    private String code;
    private String message;

    IndLevelEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public static IndLevelEnum getByValue(String value){
        for(IndLevelEnum indLevel : values()){
            if (indLevel.getCode().equals(value)) {
                return indLevel;
            }
        }
        return null;
    }
}