package com.unis.indicator.server.enums;

import lombok.Getter;

@Getter
public enum MonitorLevelEnum {

    ONE("1", "一级"),
    TWO("2", "二级"),
    THREE("3", "三级"),
    ;

    private String code;
    private String message;

    MonitorLevelEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public static MonitorLevelEnum getByValue(String value){
        for(MonitorLevelEnum indLevel : values()){
            if (indLevel.getCode().equals(value)) {
                return indLevel;
            }
        }
        return null;
    }
}