package com.unis.indicator.server.excel.model;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

@Data
@EqualsAndHashCode(callSuper = false)
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class ReportExcelModel extends BaseRowModel {

	@ExcelProperty(value = "品种名称", index = 0)
	private String pzmc; // 名称

	@ExcelProperty(value = "价格", index = 1)
	private Double jg; // 价格

	@ExcelProperty(value = "指数", index = 2)
	private Double zs; // 指数

	@ExcelProperty(value = "填报周期", index = 3)
	private String showTime;
}
