package com.unis.indicator.server.service;

import com.unis.indicator.common.vo.ReportRecordTypeInfoVO;
import com.unis.indicator.common.vo.IndicatorReportVO;
import com.unis.indicator.common.vo.IndicatorVO;
import com.unis.indicator.common.vo.bbzb.ReportTypeVO;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

public interface ReportRecordTypeService {

    /**
     * @Description: 根据报表类型id 模块类型 查询相应指标列表信息(内蒙古需要根据当前用户检测点去获取对应指标列表信息)
     * @date 2019年8月16日,下午5:54:00
     * @author 任宇
     * @version v1.0
     *
     * @param bblxId,type
     *
     */
    List<IndicatorReportVO> getReportofindicator(String bblxId,String orgId);

    /**
     * @Description: 根据报表类型id  查询相应指标列表信息()
     * @date 2019年8月16日,下午5:54:00
     * @author 任宇
     * @version v1.0
     *
     * @param reportDateType
     * @return ResponseWrapper
     */
    List<ReportTypeVO> getReportDateType(String reportDateType);

    /**
     * @Description: 价格走势根据报表类型获取指标列表
     * @date 2019年8月16日,下午5:54:00
     * @author 任宇
     * @version v1.0
     *
     * @param bblxId
     * @return ResponseWrapper
     */
    List<IndicatorReportVO> getChartIndicator(String bblxId);

}
