package com.unis.indicator.server.service.impl;

import com.unis.common.utils.LsBeanUtils;
import com.unis.indicator.common.vo.*;
import com.unis.indicator.common.vo.bbzb.ReportTypeVO;
import com.unis.indicator.server.domain.ReportRecordDomain;
import com.unis.indicator.server.service.ReportRecordTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class ReportRecordTypeServiceImpl implements ReportRecordTypeService {

    @Autowired
    private ReportRecordDomain reportRecordDomain;

    @Override
    public List<IndicatorReportVO> getReportofindicator(String bblxId,String orgId) {
        //先根据条件获取上一期数据
        /*ReportRecordListVO reportRecordListVO = new ReportRecordListVO();
        reportRecordListVO.setPriceType(bblxId);
        ReportRecordInfoVO reportRecordInfoVO = reportRecordDomain.getLastInfoByQuery(reportRecordListVO);
        //获取上一期指标数据
        if(reportRecordInfoVO != null){
            List<PriceInfoVO> priceInfoVOList = reportRecordInfoVO.getPriceInfoVOList();
            List<IndicatorReportVO> indicatorReportVOList = new ArrayList<>();
            for (int i = 0; i < priceInfoVOList.size(); i++) {
                IndicatorReportVO indicatorReportVO = new IndicatorReportVO();
                PriceInfoVO priceInfoVO = priceInfoVOList.get(0);
                LsBeanUtils.copyPropertiesIgnoreNull(priceInfoVO, indicatorReportVO);
                List<PriceDedailInfoVO> priceDedailInfoVOList = priceInfoVO.getPriceDedailInfoVOList();
                Map<String,Object> map = new HashMap<>();
                for (int j = 0; j < priceDedailInfoVOList.size(); j++) {
                    map.put("a" + (j + 1) , priceDedailInfoVOList.get(j).getJglx());
                    map.put("b" + (j + 1) , priceDedailInfoVOList.get(j).getBqjg());
                }
                indicatorReportVO.setPriceMap(map);
                indicatorReportVOList.add(indicatorReportVO);
            }
            return indicatorReportVOList;
        }else{
            //获取指标类型对应指标数据
            return reportRecordDomain.getReportofindicator(bblxId);
        }*/
        return reportRecordDomain.getReportofindicator(bblxId,orgId);
    }

    @Override
    public List<ReportTypeVO> getReportDateType(String reportDateType) {
        return reportRecordDomain.getReportDateType(reportDateType);
    }

    @Override
    public List<IndicatorReportVO> getChartIndicator(String bblxId) {
        return reportRecordDomain.getChartIndicator(bblxId);
    }
}
